<?php

require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/Request.class.php';
require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/Response.class.php';
require_once XOOPS_TRUST_PATH . '/libs/xoonips/class/core/Utils.class.php';
require_once XOOPS_ROOT_PATH . '/include/cp_header.php';
require_once 'actions/PolicyQuickSearchAction.class.php';

$request = new Xoonips_Request();
$response = new Xoonips_Response();
$op = $request->getParameter('op');
if ($op == null) {
	$op = 'init';
}

// check request
if (!in_array($op, array( 'init', 'edit', 'save','delete'))) {
	die('illegal reuest');
}

// set action map
$actionMap = array();
$actionMap['init_success'] = 'policy_quicksearch.html';

$actionMap['edit_success'] = 'policy_quicksearch_edit.html';

$actionMap['save_success'] = 'redirect_header';
$actionMap['delete_success'] = 'redirect_header';

include XOOPS_ROOT_PATH . '/header.php';

// do action
$action = new Xoonips_PolicyQuickSearchAction();
$action->doAction($request, $response);

// forward
$response->forward($actionMap,true);

include XOOPS_ROOT_PATH . '/footer.php';

